PCP_DETACH_NODE(1)

NAME
pcp_detach_node - detaches the given node from Pgpool-II. Existing connections to Pgpool-II are forced to be disconnected.

SYNOPSIS

pcp_detach_node [options...] [node_id] [gracefully]

DESCRIPTION

pcp_detach_node detaches the given node from Pgpool-II. Existing connections to Pgpool-II are forced to be disconnected.

OPTIONS

-n node_id
--node_id=node_id
    The index of backend node to detach.

-g
--gracefully
    wait until all clients are disconnected (unless client_idle_limit_in_recovery is -1 or recovery_timeout is expired).

Other options
    See pcp_common_options(1).